### Hierarchy

- <internal>.StreamOptions<<internal>.Readable>
  - ReadableOptions
    - <internal>.DuplexOptions
    - <internal>.internal.DuplexOptions

## Index

### Properties

- autoDestroy
- emitClose
- encoding
- highWaterMark
- objectMode
- signal

### Methods

- construct
- destroy
- read

## Properties

### Optional autoDestroy

autoDestroy?: boolean

Inherited from StreamOptions.autoDestroy

### Optional emitClose

emitClose?: boolean

Inherited from StreamOptions.emitClose

### Optional encoding

encoding?: BufferEncoding

### Optional highWaterMark

highWaterMark?: number

Inherited from StreamOptions.highWaterMark

### Optional objectMode

objectMode?: boolean

Inherited from StreamOptions.objectMode

### Optional signal

signal?: AbortSignal

Inherited from StreamOptions.signal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

## Methods

### Optional construct

- construct(this: <internal>.Readable, callback: (error?: <internal>.Error) => void): void

- Inherited from StreamOptions.construct

  #### Parameters

  - ##### this: <internal>.Readable

  - ##### callback: (error?: <internal>.Error) => void

    - - (error?: <internal>.Error): void

      - #### Parameters

        - ##### Optional error: <internal>.Error

        #### Returns void

### Optional destroy

- destroy(this: <internal>.Readable, error: <internal>.Error, callback: (error: <internal>.Error) => void): void

- Inherited from StreamOptions.destroy

  #### Parameters

  - ##### this: <internal>.Readable

  - ##### error: <internal>.Error

  - ##### callback: (error: <internal>.Error) => void

    - - (error: <internal>.Error): void

      - #### Parameters

        - ##### error: <internal>.Error

        #### Returns void

### Optional read

- read(this: <internal>.Readable, size: number): void

- #### Parameters

  - ##### this: <internal>.Readable

  - ##### size: number

  #### Returns void

Generated using TypeDoc